# Uses of Interface
org.gitana.platform.client.node.type.Person

Packages that use Person
Package
Description
org.gitana.platform.client.branch
org.gitana.platform.client.node.type
org.gitana.platform.client.principal

## Uses of Person in org.gitana.platform.client.branch

Methods in org.gitana.platform.client.branch that return Person
Modifier and Type
Method
Description
`Person`
Branch.`readPerson(String userId, boolean createIfNotFound)`
Reads the person object for a security user.
`Person`
BranchImpl.`readPerson(String userId, boolean createIfNotFound)`

## Uses of Person in org.gitana.platform.client.node.type

Classes in org.gitana.platform.client.node.type that implement Person
Modifier and Type
Class
Description
`class`
`PersonImpl`

## Uses of Person in org.gitana.platform.client.principal

Methods in org.gitana.platform.client.principal that return Person
Modifier and Type
Method
Description
`Person`
DomainUser.`readPerson(Branch branch)`
`Person`
DomainUser.`readPerson(Branch branch, boolean createIfNotFound)`
`Person`
DomainUserImpl.`readPerson(Branch branch)`
`Person`
DomainUserImpl.`readPerson(Branch branch, boolean createIfNotFound)`